
#include "Arduino.h"
#include <Audio.h>
#include <Math.h>

#define SPISETTING SPISettings(44100,MSBFIRST,SPI_MODE0)
#define SPI1CLK 14
#define SPIMOSI 28
#define SPIMISO 12

class ADC_Input
{
  public:
  float adcAverage;
  float adcValue;
  float smoothValue;
  float MULTIPLIER;
  float globalSnap;
  ADC_Input()
  {
    pinMode(multiA,OUTPUT);
    pinMode(multiB,OUTPUT);
    pinMode(multiC,OUTPUT);
    pinMode(adcSelect,OUTPUT);
    pinMode(33,OUTPUT);
    digitalWrite(33,HIGH);
    float adcAverage = 0;
    float adcValue = 0;
    smoothValue = 0;
    MULTIPLIER = 0.00007;
    SPI.setSCK(SPI1CLK);
    SPI.setMOSI(SPIMOSI);
    SPI.setMISO(SPIMISO);
    SPI.begin();
  }

  float readParameter(bool a,bool b, bool c);
  float smoothParameter(float input);
  float curve(float x);

  private:

    const int multiA = 30;
    const int multiB = 31;
    const int multiC = 32;
    const int adcSelect = 24;

};
